eoHammingDistance(3)

NAME
eoHammingDistance - This is a generic class for L1 distance computation: assumes the 2 things are std::vectors of something that is double-castable For bitstrings, this is the Hamming distance.

SYNOPSIS

#include <eoDistance.h>

Inherits eoDistance< EOT >< EOT >.

  Public Member Functions
double operator() (const EOT &_v1, const EOT &_v2)
The pure virtual function that needs to be implemented by the subclass.

Detailed Description

  template<class EOT> class eoHammingDistance< EOT >
This is a generic class for L1 distance computation: assumes the 2 things are std::vectors of something that is double-castable For bitstrings, this is the Hamming distance.

Definition at line 66 of file eoDistance.h.

Author

Generated automatically by Doxygen for EO from the source code.